Name:           ptt
Version:        0
Release:        2.20171219%{?dist}
Summary:        The Planning Task Performer

License:        GPLv3+
URL:            https://helios.hud.ac.uk/scomlc/
Source0:        https://helios.hud.ac.uk/scomlc/PTT_src.zip
Patch0:         ptt.dynamic.patch

BuildRequires:  cmake

%description
PTT (Planning Task Transformer) is a toolkit for reformulating planning tasks by
learning macro-operators and/or entanglements. In particular:
- Generating macros as in the paper: "Generation of macro-operators via
  investigation of action dependencies in plans", Knowledge Engineering Review
  2010
- Learning Outer and Inner entanglements (see papers: "On Exploiting Structures
  of Classical Planning Problems: Generalizing Entanglements.", ECAI 2012, and
  "Revisiting Inner Entanglements in Classical Planning.", SCAI 2013)
- the MUM method (see the paper: "MUM: A Technique for Maximising the Utility of
  Macro-operators by Constrained Generation and Use", ICAPS 2014)
- Generating macros from inner entanglements (see the paper: "Generating
  Macro-Operators by Exploiting Inner Entanglements", SARA 2013)
- the OMA method (see the paper: "On the Online Generation of Effective
  Macro-operators", IJCAI 2015)

%prep
%autosetup -p1 -n PTT_src


%build
mkdir -p build
pushd build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo ../src
%make_build

%install
install -p -m755 -D build/ptt %{buildroot}/%{_bindir}/ptt


%files
%{_bindir}/ptt
%doc README

%changelog
* Tue Dec 19 2017 Till Hofmann <thofmann@fedoraproject.org> - 0-2.20171219
- Add snapshot info to release

* Wed Oct 19 2016 Till Hofmann <thofmann@fedoraproject.org> - 0-1
- Initial package
